Page MenuHomePhabricator

Trim brighmed font list to match Debian jessie
Closed, ResolvedPublic

Description

related to T195513: Load map file in non-strict mode

Reducing the Brighmed font list to that available on Debian Jessie is a quicker way to get working, and perhaps desirable anyways.

1DejaVu Sans Bold
2DejaVu Sans Bold Oblique
3DejaVu Sans Book
4DejaVu Sans Condensed
5DejaVu Sans Condensed Bold
6DejaVu Sans Condensed Bold Oblique
7DejaVu Sans Condensed Oblique
8DejaVu Sans ExtraLight
9DejaVu Sans Mono Bold
10DejaVu Sans Mono Bold Oblique
11DejaVu Sans Mono Book
12DejaVu Sans Mono Oblique
13DejaVu Sans Oblique
14DejaVu Serif Bold
15DejaVu Serif Bold Italic
16DejaVu Serif Book
17DejaVu Serif Condensed
18DejaVu Serif Condensed Bold
19DejaVu Serif Condensed Bold Italic
20DejaVu Serif Condensed Italic
21DejaVu Serif Italic
22Noto Sans Armenian Bold
23Noto Sans Armenian Regular
24Noto Sans Bold
25Noto Sans Bold Italic
26Noto Sans CJK JP Black
27Noto Sans CJK JP Bold
28Noto Sans CJK JP DemiLight
29Noto Sans CJK JP Light
30Noto Sans CJK JP Medium
31Noto Sans CJK JP Regular
32Noto Sans CJK JP Thin
33Noto Sans CJK KR Black
34Noto Sans CJK KR Bold
35Noto Sans CJK KR DemiLight
36Noto Sans CJK KR Light
37Noto Sans CJK KR Medium
38Noto Sans CJK KR Regular
39Noto Sans CJK KR Thin
40Noto Sans CJK SC Black
41Noto Sans CJK SC Bold
42Noto Sans CJK SC DemiLight
43Noto Sans CJK SC Light
44Noto Sans CJK SC Medium
45Noto Sans CJK SC Regular
46Noto Sans CJK SC Thin
47Noto Sans CJK TC Black
48Noto Sans CJK TC Bold
49Noto Sans CJK TC DemiLight
50Noto Sans CJK TC Light
51Noto Sans CJK TC Medium
52Noto Sans CJK TC Regular
53Noto Sans CJK TC Thin
54Noto Sans Devanagari Bold
55Noto Sans Devanagari Regular
56Noto Sans Devanagari UI Bold
57Noto Sans Devanagari UI Regular
58Noto Sans Ethiopic Bold
59Noto Sans Ethiopic Regular
60Noto Sans Georgian Bold
61Noto Sans Georgian Regular
62Noto Sans Hebrew Bold
63Noto Sans Hebrew Regular
64Noto Sans Italic
65Noto Sans Lao Bold
66Noto Sans Lao Regular
67Noto Sans Lao UI Bold
68Noto Sans Lao UI Regular
69Noto Sans Mono CJK JP Bold
70Noto Sans Mono CJK JP Regular
71Noto Sans Mono CJK KR Bold
72Noto Sans Mono CJK KR Regular
73Noto Sans Mono CJK SC Bold
74Noto Sans Mono CJK SC Regular
75Noto Sans Mono CJK TC Bold
76Noto Sans Mono CJK TC Regular
77Noto Sans Regular
78Noto Sans Tamil Bold
79Noto Sans Tamil Regular
80Noto Sans Tamil UI Bold
81Noto Sans Tamil UI Regular
82Noto Sans Thai Bold
83Noto Sans Thai Regular
84Noto Sans Thai UI Bold
85Noto Sans Thai UI Regular
86Noto Sans UI Bold
87Noto Sans UI Bold Italic
88Noto Sans UI Italic
89Noto Sans UI Regular
90Noto Serif Armenian Bold
91Noto Serif Armenian Regular
92Noto Serif Bold
93Noto Serif Bold Italic
94Noto Serif Georgian Bold
95Noto Serif Georgian Regular
96Noto Serif Italic
97Noto Serif Lao Bold
98Noto Serif Lao Regular
99Noto Serif Regular
100Noto Serif Thai Bold
101Noto Serif Thai Regular
are the fonts on maps-test2004.

Event Timeline

Pnorman triaged this task as Normal priority.May 25 2018, 10:30 PM
Pnorman created this task.
Pnorman added a subscriber: Gehel.May 25 2018, 10:47 PM

@Gehel The jessie fonts-noto package is the fairly ancient 2013-04-11-2 build, while stretch has 20161116-1.

Can we reimage maps-test2004 to stretch, since we're planning on moving there anyways? fonts-noto is a metapackage there. It would be good to use the stretch-backports fonts-noto-cjk, but it's not essential for testing.

The list of fonts on my home stretch machine that Mapnik knows about is

1Bitstream Vera Sans Bold
2Bitstream Vera Sans Bold Oblique
3Bitstream Vera Sans Mono Bold
4Bitstream Vera Sans Mono Bold Oblique
5Bitstream Vera Sans Mono Oblique
6Bitstream Vera Sans Mono Roman
7Bitstream Vera Sans Oblique
8Bitstream Vera Sans Roman
9Bitstream Vera Serif Bold
10Bitstream Vera Serif Roman
11Century Schoolbook L Bold
12Century Schoolbook L Bold Italic
13Century Schoolbook L Italic
14Century Schoolbook L Roman
15DejaVu Math TeX Gyre Regular
16DejaVu Sans Bold
17DejaVu Sans Bold Oblique
18DejaVu Sans Book
19DejaVu Sans Condensed
20DejaVu Sans Condensed Bold
21DejaVu Sans Condensed Bold Oblique
22DejaVu Sans Condensed Oblique
23DejaVu Sans ExtraLight
24DejaVu Sans Mono Bold
25DejaVu Sans Mono Bold Oblique
26DejaVu Sans Mono Book
27DejaVu Sans Mono Oblique
28DejaVu Sans Oblique
29DejaVu Serif Bold
30DejaVu Serif Bold Italic
31DejaVu Serif Book
32DejaVu Serif Condensed
33DejaVu Serif Condensed Bold
34DejaVu Serif Condensed Bold Italic
35DejaVu Serif Condensed Italic
36DejaVu Serif Italic
37Dingbats Regular
38Droid Sans Fallback Regular
39HanaMinA Regular
40HanaMinB Regular
41Liberation Mono Bold
42Liberation Mono Bold Italic
43Liberation Mono Italic
44Liberation Mono Regular
45Liberation Sans Bold
46Liberation Sans Bold Italic
47Liberation Sans Italic
48Liberation Sans Narrow Bold
49Liberation Sans Narrow Bold Italic
50Liberation Sans Narrow Italic
51Liberation Sans Narrow Regular
52Liberation Sans Regular
53Liberation Serif Bold
54Liberation Serif Bold Italic
55Liberation Serif Italic
56Liberation Serif Regular
57Nimbus Mono L Bold
58Nimbus Mono L Bold Oblique
59Nimbus Mono L Regular
60Nimbus Mono L Regular Oblique
61Nimbus Roman No9 L Medium
62Nimbus Roman No9 L Medium Italic
63Nimbus Roman No9 L Regular
64Nimbus Roman No9 L Regular Italic
65Nimbus Sans L Bold
66Nimbus Sans L Bold Condensed
67Nimbus Sans L Bold Condensed Italic
68Nimbus Sans L Bold Italic
69Nimbus Sans L Regular
70Nimbus Sans L Regular Condensed
71Nimbus Sans L Regular Condensed Italic
72Nimbus Sans L Regular Italic
73Noto Kufi Arabic Bold
74Noto Kufi Arabic Regular
75Noto Mono Regular
76Noto Naskh Arabic Bold
77Noto Naskh Arabic Regular
78Noto Naskh Arabic UI Bold
79Noto Naskh Arabic UI Regular
80Noto Nastaliq Urdu Regular
81Noto Sans Armenian Bold
82Noto Sans Armenian Regular
83Noto Sans Avestan Regular
84Noto Sans Balinese Regular
85Noto Sans Bamum Regular
86Noto Sans Batak Regular
87Noto Sans Bengali Bold
88Noto Sans Bengali Regular
89Noto Sans Bengali UI Bold
90Noto Sans Bengali UI Regular
91Noto Sans Bold
92Noto Sans Bold Italic
93Noto Sans Brahmi Regular
94Noto Sans Buginese Regular
95Noto Sans Buhid Regular
96Noto Sans CJK JP Black
97Noto Sans CJK JP Bold
98Noto Sans CJK JP DemiLight
99Noto Sans CJK JP Light
100Noto Sans CJK JP Medium
101Noto Sans CJK JP Regular
102Noto Sans CJK JP Thin
103Noto Sans CJK KR Black
104Noto Sans CJK KR Bold
105Noto Sans CJK KR DemiLight
106Noto Sans CJK KR Light
107Noto Sans CJK KR Medium
108Noto Sans CJK KR Regular
109Noto Sans CJK KR Thin
110Noto Sans CJK SC Black
111Noto Sans CJK SC Bold
112Noto Sans CJK SC DemiLight
113Noto Sans CJK SC Light
114Noto Sans CJK SC Medium
115Noto Sans CJK SC Regular
116Noto Sans CJK SC Thin
117Noto Sans CJK TC Black
118Noto Sans CJK TC Bold
119Noto Sans CJK TC DemiLight
120Noto Sans CJK TC Light
121Noto Sans CJK TC Medium
122Noto Sans CJK TC Regular
123Noto Sans CJK TC Thin
124Noto Sans Canadian Aboriginal Regular
125Noto Sans Carian Regular
126Noto Sans Cham Bold
127Noto Sans Cham Regular
128Noto Sans Cherokee Regular
129Noto Sans Coptic Regular
130Noto Sans Cuneiform Regular
131Noto Sans Cypriot Regular
132Noto Sans Deseret Regular
133Noto Sans Devanagari Bold
134Noto Sans Devanagari Regular
135Noto Sans Devanagari UI Bold
136Noto Sans Devanagari UI Regular
137Noto Sans Egyptian Hieroglyphs Regular
138Noto Sans Ethiopic Bold
139Noto Sans Ethiopic Regular
140Noto Sans Georgian Bold
141Noto Sans Georgian Regular
142Noto Sans Glagolitic Regular
143Noto Sans Gothic Regular
144Noto Sans Gujarati Bold
145Noto Sans Gujarati Regular
146Noto Sans Gujarati UI Bold
147Noto Sans Gujarati UI Regular
148Noto Sans Gurmukhi Bold
149Noto Sans Gurmukhi Regular
150Noto Sans Gurmukhi UI Bold
151Noto Sans Gurmukhi UI Regular
152Noto Sans Hanunoo Regular
153Noto Sans Hebrew Bold
154Noto Sans Hebrew Regular
155Noto Sans Imperial Aramaic Regular
156Noto Sans Inscriptional Pahlavi Regular
157Noto Sans Inscriptional Parthian Regular
158Noto Sans Italic
159Noto Sans Javanese Regular
160Noto Sans Kaithi Regular
161Noto Sans Kannada Bold
162Noto Sans Kannada Regular
163Noto Sans Kannada UI Bold
164Noto Sans Kannada UI Regular
165Noto Sans Kayah Li Regular
166Noto Sans Kharoshthi Regular
167Noto Sans Khmer Bold
168Noto Sans Khmer Regular
169Noto Sans Khmer UI Bold
170Noto Sans Khmer UI Regular
171Noto Sans Lao Bold
172Noto Sans Lao Regular
173Noto Sans Lao UI Bold
174Noto Sans Lao UI Regular
175Noto Sans Lepcha Regular
176Noto Sans Limbu Regular
177Noto Sans Linear B Regular
178Noto Sans Lisu Regular
179Noto Sans Lycian Regular
180Noto Sans Lydian Regular
181Noto Sans Malayalam Bold
182Noto Sans Malayalam Regular
183Noto Sans Malayalam UI Bold
184Noto Sans Malayalam UI Regular
185Noto Sans Mandaic Regular
186Noto Sans Meetei Mayek Regular
187Noto Sans Mongolian Regular
188Noto Sans Mono CJK JP Bold
189Noto Sans Mono CJK JP Regular
190Noto Sans Mono CJK KR Bold
191Noto Sans Mono CJK KR Regular
192Noto Sans Mono CJK SC Bold
193Noto Sans Mono CJK SC Regular
194Noto Sans Mono CJK TC Bold
195Noto Sans Mono CJK TC Regular
196Noto Sans Myanmar Bold
197Noto Sans Myanmar Regular
198Noto Sans Myanmar UI Bold
199Noto Sans Myanmar UI Regular
200Noto Sans NKo Regular
201Noto Sans New Tai Lue Regular
202Noto Sans Ogham Regular
203Noto Sans Ol Chiki Regular
204Noto Sans Old Italic Regular
205Noto Sans Old Persian Regular
206Noto Sans Old South Arabian Regular
207Noto Sans Old Turkic Regular
208Noto Sans Oriya Bold
209Noto Sans Oriya Regular
210Noto Sans Oriya UI Bold
211Noto Sans Oriya UI Regular
212Noto Sans Osmanya Regular
213Noto Sans Phags Pa Regular
214Noto Sans Phoenician Regular
215Noto Sans Regular
216Noto Sans Rejang Regular
217Noto Sans Runic Regular
218Noto Sans Samaritan Regular
219Noto Sans Saurashtra Regular
220Noto Sans Shavian Regular
221Noto Sans Sinhala Bold
222Noto Sans Sinhala Regular
223Noto Sans Sundanese Regular
224Noto Sans Syloti Nagri Regular
225Noto Sans Symbols Regular
226Noto Sans Syriac Eastern Regular
227Noto Sans Syriac Estrangela Regular
228Noto Sans Syriac Western Regular
229Noto Sans Tagalog Regular
230Noto Sans Tagbanwa Regular
231Noto Sans Tai Le Regular
232Noto Sans Tai Tham Regular
233Noto Sans Tai Viet Regular
234Noto Sans Tamil Bold
235Noto Sans Tamil Regular
236Noto Sans Tamil UI Bold
237Noto Sans Tamil UI Regular
238Noto Sans Telugu Bold
239Noto Sans Telugu Regular
240Noto Sans Telugu UI Bold
241Noto Sans Telugu UI Regular
242Noto Sans Thaana Bold
243Noto Sans Thaana Regular
244Noto Sans Thai Bold
245Noto Sans Thai Regular
246Noto Sans Thai UI Bold
247Noto Sans Thai UI Regular
248Noto Sans Tibetan Bold
249Noto Sans Tibetan Regular
250Noto Sans Tifinagh Regular
251Noto Sans UI Bold
252Noto Sans UI Bold Italic
253Noto Sans UI Italic
254Noto Sans UI Regular
255Noto Sans Ugaritic Regular
256Noto Sans Vai Regular
257Noto Sans Yi Regular
258Noto Serif Armenian Bold
259Noto Serif Armenian Regular
260Noto Serif Bengali Bold
261Noto Serif Bengali Regular
262Noto Serif Bold
263Noto Serif Bold Italic
264Noto Serif Devanagari Bold
265Noto Serif Devanagari Regular
266Noto Serif Georgian Bold
267Noto Serif Georgian Regular
268Noto Serif Gujarati Bold
269Noto Serif Gujarati Regular
270Noto Serif Italic
271Noto Serif Kannada Bold
272Noto Serif Kannada Regular
273Noto Serif Khmer Bold
274Noto Serif Khmer Regular
275Noto Serif Lao Bold
276Noto Serif Lao Regular
277Noto Serif Malayalam Bold
278Noto Serif Malayalam Regular
279Noto Serif Regular
280Noto Serif Tamil Bold
281Noto Serif Tamil Regular
282Noto Serif Telugu Bold
283Noto Serif Telugu Regular
284Noto Serif Thai Bold
285Noto Serif Thai Regular
286Standard Symbols L Regular
287URW Bookman L Demi Bold
288URW Bookman L Demi Bold Italic
289URW Bookman L Light
290URW Bookman L Light Italic
291URW Chancery L Medium Italic
292URW Gothic L Book
293URW Gothic L Book Oblique
294URW Gothic L Demi
295URW Gothic L Demi Oblique
296URW Palladio L Bold
297URW Palladio L Bold Italic
298URW Palladio L Italic
299URW Palladio L Roman

This includes some packages we won't have in production, but all the Noto stuff should be the same.

Pnorman moved this task from Backlog to Done on the Maps-Sprint board.May 29 2018, 10:00 PM
Gehel closed this task as Resolved.Jun 12 2018, 4:06 PM
Gehel claimed this task.
Vvjjkkii renamed this task from Trim brighmed font list to match Debian jessie to 08baaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Gehel as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
WhitePhosphorus renamed this task from 08baaaaaaa to Trim brighmed font list to match Debian jessie.Jul 1 2018, 2:52 AM
WhitePhosphorus closed this task as Resolved.
WhitePhosphorus assigned this task to Gehel.
WhitePhosphorus lowered the priority of this task from High to Normal.
WhitePhosphorus updated the task description. (Show Details)
WhitePhosphorus added subscribers: Aklapper, gerritbot.